| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
fusion_exec.h File Reference
`#include "isf_sensor_base_types.h"`
`#include "sensor_data_types.h"`
`#include "fusion_types.h"`
`#include "fusion_config.h"`
`#include "magnetic.h"`
Include dependency graph for fusion_exec.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | fusion_state_t

## Functions
void | ApplyAccelHAL (struct AccelSensor *pthisAccel)
void | ApplyMagHAL (struct MagSensor *pthisMag)
void | ApplyGyroHAL (struct GyroSensor *pthisGyro, int16 irow)
void | RdSensData_Init (void)
int32 | RdSensData_Run ()
void | Fusion_Init (fusion_state_t *pState)
int8 | Fusion_Run (fusion_state_t *pState, fusion_algorithmConfig_t *pAlgorithmConfig)
void | MagCal_Run (fusion_state_t *pState)

## Variables
struct PressureSensor | thisPressure
struct AccelSensor | thisAccel
struct MagSensor | thisMag
struct GyroSensor | thisGyro

## Function Documentation

void ApplyAccelHAL | ( | struct AccelSensor * | pthisAccel | ) |

void ApplyGyroHAL | ( | struct GyroSensor * | pthisGyro,
|  | int16 | irow
| ) |  |

void ApplyMagHAL | ( | struct MagSensor * | pthisMag | ) |

Definition at line 282 of file fusion_exec.c.

References MagSensor::iBs, X, Y, and Z.

void Fusion_Init | ( | fusion_state_t * | pState | ) |

Definition at line 48 of file fusion_exec.c.

References fusion_state_t::algorithmToUse, fInitMagCalibration(), fusion_state_t::loopcounter, Q3, Q3G, Q3M, Q6AG, Q6MA, and Q9.

Referenced by fsl_fusion_task(), and fsl_fusion_virt_3D_orient_PeriodicCallback().

Here is the call graph for this function:

Here is the caller graph for this function:

int8 Fusion_Run | ( | fusion_state_t * | pState,
|  | fusion_algorithmConfig_t * | pAlgorithmConfig
| ) |  |

Definition at line 97 of file fusion_exec.c.

References fusion_state_t::algorithmToUse, fInvertMagCal(), fRun_1DOF_P_BASIC(), fRun_3DOF_B_BASIC(), fRun_3DOF_G_BASIC(), fRun_3DOF_Y_BASIC(), fRun_6DOF_GB_BASIC(), fRun_6DOF_GY_KALMAN(), fRun_9DOF_GBY_KALMAN(), MagCalibration::iCalInProgress, MagneticBuffer::iMagBufferCount, MagCalibration::iMagCalHasRun, INTERVAL10CAL, INTERVAL4CAL, INTERVAL7CAL, iUpdateMagnetometerBuffer(), fusion_state_t::loopcounter, MINMEASUREMENTS10CAL, MINMEASUREMENTS4CAL, MINMEASUREMENTS7CAL, PARALLELNOTSEQUENTIAL, Q3, Q3G, Q3M, Q6AG, Q6MA, Q9, START_TIMER, and STOP_TIMER.

Referenced by fsl_fusion_virt_3D_orient_PeriodicCallback().

Here is the call graph for this function:

Here is the caller graph for this function:

void MagCal_Run | ( | fusion_state_t * | pState | ) |

Definition at line 268 of file fusion_exec.c.

References fRunMagCalibration().

Referenced by fsl_MagCal_task().

Here is the call graph for this function:

Here is the caller graph for this function:

void RdSensData_Init | ( | void |  | ) |

int32 RdSensData_Run | ( |  | ) |

## Variable Documentation

struct AccelSensor thisAccel

struct GyroSensor thisGyro

struct MagSensor thisMag

struct PressureSensor thisPressure

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.